caoss.simulator

## Class Configuration

- java.lang.Object
- - caoss.simulator.Configuration

-     public class Configuration
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Class<Computation>` | `computationClass` The class implementing the `Computation` instruction
    `static java.lang.Class<SimpleCPUCore>` | `cpuCoreClass` The class implementing the behavior of a CPU core
    `static CPUCore[]` | `cpuCores` The array of @see numberOfCPUCores CPU cores
    `static Clockable[]` | `devices` The computer's set of devices
    `static int` | `GByte`
    `static java.lang.Class<AbstractInterruptController>` | `interruptControlerClass` The class implementing the interrupt controller
    `static int` | `KByte`
    `static int` | `MByte`
    `static java.lang.Class<MemoryLoad>` | `memoryLoadAccessClass` The class implementing the `MemoryLoad` instruction
    `static java.lang.Class<MemoryStore>` | `memoryStoreAccessClass` The class implementing the `MemoryStore` instruction
    `static int` | `numberOfCPUCores` Number of cores of the simulated CPU
    `static java.lang.Class<OperatingSystem>` | `operatingSystemClass` The class implementing the operating system
    `static RAM` | `ram` Installed RAM
    `static java.lang.Class<SysCall>` | `sysCallClass` The class implementing the `SysCall` instruction

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KByte

          public static final int KByte

      See Also:
        Constant Field Values

    - #### MByte

          public static final int MByte

      See Also:
        Constant Field Values

    - #### GByte

          public static final int GByte

      See Also:
        Constant Field Values

    - #### cpuCoreClass

          public static final java.lang.Class<SimpleCPUCore> cpuCoreClass

      The class implementing the behavior of a CPU core

    - #### numberOfCPUCores

          public static final int numberOfCPUCores

      Number of cores of the simulated CPU
      See Also:
        Constant Field Values

    - #### cpuCores

          public static final CPUCore[] cpuCores

      The array of @see numberOfCPUCores CPU cores

    - #### ram

          public static final RAM ram

      Installed RAM

    - #### interruptControlerClass

          public static final java.lang.Class<AbstractInterruptController> interruptControlerClass

      The class implementing the interrupt controller

    - #### devices

          public static final Clockable[] devices

      The computer's set of devices

    - #### operatingSystemClass

          public static final java.lang.Class<OperatingSystem> operatingSystemClass

      The class implementing the operating system

    - #### computationClass

          public static final java.lang.Class<Computation> computationClass

      The class implementing the `Computation` instruction

    - #### sysCallClass

          public static final java.lang.Class<SysCall> sysCallClass

      The class implementing the `SysCall` instruction

    - #### memoryLoadAccessClass

          public static final java.lang.Class<MemoryLoad> memoryLoadAccessClass

      The class implementing the `MemoryLoad` instruction

    - #### memoryStoreAccessClass

          public static final java.lang.Class<MemoryStore> memoryStoreAccessClass

      The class implementing the `MemoryStore` instruction

  - ### Constructor Detail

    - #### Configuration

          public Configuration()